GP8403 Component
================

.. seo::
    :description: Instructions for setting up GP8403 outputs in ESPHome.
    :image: gp8403.svg

The ``gp8403`` is a 2-channel DAC output module. It requires an :doc:`/components/i2c` to be setup.

Component/Hub
-------------

.. code-block:: yaml

    gp8403:
      id: my_gp8403
      voltage: 5V

Configuration variables:

- **id** (*Optional*, :ref:`config-id`): Manually specify the ID used for code generation.
- **voltage** (**Required**, voltage): The output voltage range of the DAC. Must be one of ``5V`` or ``10V``.

Output
------

.. code-block:: yaml

    output:
      - platform: gp8403
        id: my_gp8403_output_1
        gp8403_id: my_gp8403
        channel: 0
      - platform: gp8403
        id: my_gp8403_output_2
        gp8403_id: my_gp8403
        channel: 1

Configuration variables:

- **id** (*Optional*, :ref:`config-id`): Manually specify the ID used for code generation.
- **gp8403_id** (*Optional*, :ref:`config-id`): The ID of the GP8403 component.
  Defaults to the only GP8403 component if there is only one.
- **channel** (**Required**, int): The channel of the GP8403 to use. Must be ``0`` or ``1``.
- All other options from :ref:`config-output`.


See Also
--------

- :doc:`/components/output/esp32_dac`
- :doc:`/components/output/index`
- :ghedit:`Edit`
